Alerts

Update an alert

PATCH
/v1/alerts/{id}
AuthorizationBearer <token>

API key minted via POST /v1/api-keys (format mk_live_...)

In: header

Path Parameters

idstring

Alert id (feed_...).

Length1 <= length
name?string
Length1 <= length <= 80
enabled?boolean
mode?string
Value in"instant" | "daily" | "weekly"
filter?

Replaces the whole filter.

schedule?|null
event?string|null
Match^[a-z][a-z0-9_]*(\.[a-z][a-z0-9_]*)*$
Lengthlength <= 60
channelIds?array<string>

Replaces the whole list.

Itemsitems <= 20

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.mentio.dev/v1/alerts/feed_abc123" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "enabled": true,
  "mode": "instant",
  "filter": {
    "keywordIds": [
      "string"
    ],
    "platforms": [
      "bluesky"
    ],
    "minRelevance": 100,
    "sentiments": [
      "positive"
    ],
    "intents": [
      "string"
    ],
    "excludeAuthors": [
      "string"
    ],
    "minFollowers": 0,
    "tags": [
      "string"
    ],
    "linkHosts": [
      "string"
    ],
    "languages": [
      "string"
    ],
    "automated": true
  },
  "schedule": {
    "hour": 23,
    "minute": 0,
    "timezone": "string",
    "skipEmpty": true,
    "weekday": 6
  },
  "event": "string",
  "channels": [
    {
      "id": "string",
      "kind": "slack",
      "label": "string"
    }
  ],
  "stats": {
    "sentLast7d": 0,
    "lastSentAt": "string",
    "nextRunAt": "string"
  },
  "createdAt": "string"
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}